## CongEditorAreaParagraph

CongEditorAreaParagraph —

## Synopsis

    struct      CongEditorAreaParagraph;
    #define     CONG_EDITOR_AREA_PARAGRAPH      (obj)
    #define     CONG_EDITOR_AREA_PARAGRAPH_CLASS(klass)
    #define     IS_CONG_EDITOR_AREA_PARAGRAPH   (obj)
    GType       cong_editor_area_paragraph_get_type
                                                (void);
    CongEditorArea* cong_editor_area_paragraph_construct
                                                (CongEditorAreaParagraph *area_paragraph,
                                                 CongEditorWidget3 *editor_widget);
    CongEditorArea* cong_editor_area_paragraph_new
                                                (CongEditorWidget3 *editor_widget);

## Object Hierarchy

      GObject
       +----CongEditorArea
             +----CongEditorAreaContainer
                   +----CongEditorAreaBin
                         +----CongEditorAreaBorder
                               +----CongEditorAreaParagraph

## Description

## Details

### struct CongEditorAreaParagraph

    struct CongEditorAreaParagraph;

### CONG_EDITOR_AREA_PARAGRAPH()

    #define CONG_EDITOR_AREA_PARAGRAPH(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_PARAGRAPH_TYPE, CongEditorAreaParagraph)

`obj` : |

### CONG_EDITOR_AREA_PARAGRAPH_CLASS()

    #define CONG_EDITOR_AREA_PARAGRAPH_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_PARAGRAPH_TYPE, CongEditorAreaParagraphClass)

`klass` : |

### IS_CONG_EDITOR_AREA_PARAGRAPH()

    #define IS_CONG_EDITOR_AREA_PARAGRAPH(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_PARAGRAPH_TYPE)

`obj` : |

### cong_editor_area_paragraph_get_type ()

    GType       cong_editor_area_paragraph_get_type
                                                (void);

Returns : |

### cong_editor_area_paragraph_construct ()

    CongEditorArea* cong_editor_area_paragraph_construct
                                                (CongEditorAreaParagraph *area_paragraph,
                                                 CongEditorWidget3 *editor_widget);

TODO: Write me

`area_paragraph` : |
`editor_widget` : |
Returns : |

### cong_editor_area_paragraph_new ()

    CongEditorArea* cong_editor_area_paragraph_new
                                                (CongEditorWidget3 *editor_widget);

TODO: Write me

`editor_widget` : |
Returns : |